/*
Store for the admin panel.

@copyright (c) Copyright 2017 Dorian Pula
@license AGPL v3
@author Dorian Pula [dorian.pula@amber-penguin-software.ca]
*/

import {observable, action} from 'mobx';


class AdminStore {
  @observable showPanel = false;

  @action.bound
  togglePanel() {
    this.showPanel = !this.showPanel;
  }
}

export const adminStore = new AdminStore();
